<?php
define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Админка';
require_once("../incfiles/core.php");
require_once("../incfiles/head.php");
require_once("manfunc.php"); 

if($rights>=7)
{
	switch($act)
	{
		default:
		
		echo"<h2 align='center'>Админка менеджера</h2><div class='menu'>
		<a href='adminka.php?act=pod'>Подтверждение заявок на участие</a><br/>
		<a href='uch.php?act=adm'>Список клубов (с датой последнего входа)</a><br/>
		<a href='addbuild.php'>Добавить постройку</a><br/>
		<a href='addspons.php'>Добавить спонсора</a><br/>
		<a href='addmatches.php'>Добавить матчи</a><br/>
		<a href='admplayer.php'>Добавить игрока</a><br/>
		<a href='admin.php'>Трансферы(закрыть)</a><br/>
		<a href='/medal/add.php'>Трофеи</a><br/>
		<a href='adminka.php?act=calendar'>Сгенерировать календарь нового сезона</a><br/>
		</div>";
		//		<a href='addspons.php'>Добавить спонсора</a><br/>
		break;
		
		case 'pod':
		
		if(!$id)
		{
			$q=mysql_query("select * from fman_clubs where user_id>0 and u9<1;");
			echo"<div class='phdr'>Список заявок на участие, ожидающих модерации</div>";
			while($a=mysql_fetch_array($q)){
			$qu=mysql_query("select * from users where id=$a[user_id];");
			$udata=mysql_fetch_array($qu);
			echo"<div class='menu'><a href='/users/profile.php?user=$udata[id]'>$udata[name]</a> | <a href='club.php?id=$a[id]'>$a[name]</a><br/>
			[<a href='adminka.php?act=pod&amp;do=prin&amp;id=$a[id]'>принять</a>][<a href='adminka.php?act=pod&amp;do=otkl&amp;id=$a[id]'>отклонить</a>]</div>";}
		}
		else
		{
			$q=mysql_query("select * from fman_clubs where id=$id;");
			$a=mysql_fetch_array($q);
			if($do=="prin"){$uid=$a[user_id]; $u9=1;}
			if($do=="otkl"){$uid=0; $u9=0;}
			mysql_query("update fman_clubs set user_id=$uid, u9=$u9 where id=$id");
			echo"<p>Действие успешно выполнено!</p>";
		}
		
		break;

		case 'calendar':
		
		echo"<h2 align='center'>Генерация календаря</h2>";
		if(!$_POST['submit'])
		{
			echo"<form action='adminka.php?act=calendar' method='post'><div class='menu'>Введите дату начала чемпионатов нового сезона (день, когда пройдет 1 тур):<br/>
			<input type='text' name='d' value='".date("d")."' size='2'/><input type='text' name='m' value='".date("m")."' size='2'/><input type='text' name='y' value='".date("Y")."' size='4'/><br/>
			<input type='submit' name='submit' value='Готово!'/></div></form>";
		}
		else
		{
			$t=mktime(17,0,0,$_POST[m],$_POST[d],$_POST[y]);
			$tn=$t-3600*2*24;
			$file=file("calendar/calendar.dat");
			mysql_query("delete from fman_matches where turn!='tm' or (turn='tm' and time<".time().");");
			for($i=0;$i<count($file);$i++){
			$a=explode('|',$file[$i]);
			$tm=$tn+3600*24*2*$a[1];
			mysql_query("insert into fman_matches set time=$tm, turn='champ', tur=$a[1], end=0, kom1='$a[2]', id1=$a[3], kom2='$a[4]', id2=$a[5], sc1=0, sc2=0, land='$a[0]'");}
			echo"<p>Календарь нового сезона сгенерирован</p>";
		}
		
		break;
	}
	echo"<div class='phdr'><a href='index.php'>Фут.менеджер</a></div>";
} 
require_once("../incfiles/end.php"); ?>